(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6443,        195]
NotebookOptionsPosition[      5847,        173]
NotebookOutlinePosition[      6192,        188]
CellTagsIndexPosition[      6149,        185]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[{
 RowBox[{"<<", "Units`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "PhysicalConstants`"}]}], "Input",
 CellChangeTimes->{{3.442135639578125*^9, 3.4421356396875*^9}, {
  3.4421356761875*^9, 3.442135679796875*^9}, {3.442135724078125*^9, 
  3.44213580334375*^9}, {3.44213602171875*^9, 3.442136023296875*^9}}],

Cell[BoxData[{
 RowBox[{"q", "=", 
  FractionBox["ElectronCharge", "Coulomb"]}], "\[IndentingNewLine]", 
 RowBox[{"k", "=", 
  RowBox[{"BoltzmannConstant", " ", 
   FractionBox["Kelvin", "Joule"]}]}]}], "Input",
 CellChangeTimes->{{3.4421360351875*^9, 3.442136131265625*^9}, {
   3.44213618459375*^9, 3.442136186*^9}, {3.442136306125*^9, 
   3.442136307296875*^9}, {3.442136410234375*^9, 3.442136455984375*^9}, {
   3.442136526140625*^9, 3.44213653303125*^9}, {3.44213722496875*^9, 
   3.44213723578125*^9}, 3.44213729040625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"diode", "[", 
   RowBox[{"V_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Io", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Exp", "[", 
      FractionBox[
       RowBox[{"q", " ", "V"}], 
       RowBox[{"k", " ", "t"}]], "]"}], "-", "1"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.442136189828125*^9, 3.4421362915*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Io", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "9"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"diode", "[", 
    RowBox[{"V", ",", "293"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"V", ",", "0", ",", ".5"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"I\",
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.44213629878125*^9, 3.4421363871875*^9}, {
   3.442136469203125*^9, 3.442136479234375*^9}, {3.44213655353125*^9, 
   3.442136599421875*^9}, {3.442136994203125*^9, 3.442137016015625*^9}, 
   3.44213727084375*^9, 3.510940100234*^9}],

Cell[BoxData[
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"diode", "[", 
    RowBox[{"V", ",", "293"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"V", ",", ".001", ",", ".6"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"I\",
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.442136650890625*^9, 3.44213668790625*^9}, 
   3.442137307609375*^9, 3.510939275422*^9, 3.510940095061*^9}],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"12", "-", "va"}], "100"], "\[Equal]", 
    RowBox[{"diode", "[", 
     RowBox[{"va", ",", "293"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"va", ",", ".5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.442136834203125*^9, 3.4421369165*^9}, {
   3.442137430890625*^9, 3.442137434953125*^9}, 3.51094133459*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Va", "[", 
   RowBox[{"Vi_", ",", "R_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"va", "/.", 
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"Vi", "-", "va"}], "R"], "\[Equal]", 
       RowBox[{"diode", "[", 
        RowBox[{"va", ",", "t"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"va", ",", ".5"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.44213703790625*^9, 3.442137148625*^9}, {
   3.442137380296875*^9, 3.442137385015625*^9}, 3.44213744459375*^9, 
   3.44213749034375*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Va", "[", 
    RowBox[{"Vi", ",", "100", ",", "293"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"Vi", ",", 
     RowBox[{"-", "2"}], ",", "5"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[SubscriptBox[\"V\", \"i\"],
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[SubscriptBox[\"V\", \"a\"],
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.442137154546875*^9, 3.442137206109375*^9}, 
   3.44213731834375*^9, {3.442137509890625*^9, 3.442137557703125*^9}, 
   3.510941341784*^9}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 415},
WindowMargins->{{324, Automatic}, {Automatic, 97}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 319, 5, 52, "Input"],
Cell[1009, 31, 529, 10, 83, "Input"],
Cell[1541, 43, 351, 11, 48, "Input"],
Cell[1895, 56, 840, 22, 52, "Input"],
Cell[2738, 80, 559, 15, 31, "Input"],
Cell[3300, 97, 411, 11, 47, "Input"],
Cell[3714, 110, 632, 18, 47, "Input"],
Cell[4349, 130, 682, 19, 33, "Input"],
Cell[5034, 151, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
